Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenContributionItem

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  CreateShortcutAction, GenAction, GenActionFactoryContributionItem, GenCommandAction, GenCustomAction, GenGroupMarker, GenMenuManager, GenSeparator, GenSharedContributionItem, GenToolBarManager, InitDiagramAction, LoadResourceAction

All Known Implementing Classes:
  CreateShortcutActionImpl, GenActionFactoryContributionItemImpl, GenActionImpl, GenCommandActionImpl, GenContributionItemImpl, GenCustomActionImpl, GenGroupMarkerImpl, GenMenuManagerImpl, GenSeparatorImpl, GenSharedContributionItemImpl, GenToolBarManagerImpl, InitDiagramActionImpl, LoadResourceActionImpl

    public interface GenContributionItem

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Contribution Item'. Element of UI contribution

The following features are supported:

- `Owner`

See Also:
  `GMFGenPackage.getGenContributionItem()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`GenContributionManager` `getOwner()` Returns the value of the 'Owner' container reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOwner

    GenContributionManager getOwner()

  Returns the value of the 'Owner' container reference. It is bidirectional and its opposite is '`Items`'.

  If the meaning of the 'Owner' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owner' container reference.
  See Also:
    `GMFGenPackage.getGenContributionItem_Owner()`, `GenContributionManager.getItems()`
  ** Generated **
  Model:
    opposite="items" resolveProxies="false" transient="false" changeable="false"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.